buildscript {
    repositories {
        jcenter()
    }
}

apply plugin: 'com.android.library'


dependencies {
    implementation 'androidx.multidex:multidex:2.0.0'
    implementation project(':ABVJE_BL')
    implementation project(':ABVJE_Res_Default_Android')
    api 'com.google.firebase:firebase-core:21.1.1'
    api 'com.google.firebase:firebase-messaging:23.0.8'
    api 'androidx.appcompat:appcompat:1.0.0'
    implementation 'commons-codec:commons-codec:1.10'
    implementation 'net.lingala.zip4j:zip4j:1.3.2'
    implementation 'com.google.guava:guava:18.0'
    implementation 'com.google.zxing:core:3.2.1'
    implementation 'org.jsoup:jsoup:1.9.2'
    implementation 'com.journeyapps:zxing-android-embedded:3.5.0@aar'
    implementation project(':FoxitRDK')
    implementation project(':SwiftDecoderMobile')
    implementation files('libs/sdaiflib.jar')
}

android {

    defaultConfig {
        minSdkVersion 23
        targetSdkVersion 35
        compileSdk 34
        multiDexEnabled true
    }
    sourceSets {
        main {
            manifest.srcFile 'AndroidManifest.xml'
            java.srcDirs = ['src']
            resources.srcDirs = ['res']
            aidl.srcDirs = ['src']
            res.srcDirs = ['res']


            jniLibs.srcDirs = ['libs']
        }
    }
    lintOptions {
        quiet true
        checkReleaseBuilds false
        abortOnError false
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }

    useLibrary 'org.apache.http.legacy'
}

gradle.projectsEvaluated {
    tasks.withType(JavaCompile) {
    }
}
